# CrashEvent

All crash event endpoints

## GET /v3/crash

> Get a list of Application Instance crash events

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"CrashEvent","description":"All crash event endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CrashEvent":{"type":"object","required":["id","hostId","deploymentEnvironmentId","fleetId","applicationBuildId","applicationBuildExecutable","applicationBuildStartParams","applicationId","exitCode","deploymentEnvironment","fleet","applicationInstance","applicationInstanceConfiguration","applicationInstanceMetadata","createdAt"],"properties":{"id":{"type":"string","format":"","description":"Crash event ID","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"Host ID (Dedicated Server ID)","readOnly":true},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned","readOnly":true},"fleetId":{"type":"integer","format":"integer","description":"ID of the fleet","readOnly":true},"applicationId":{"type":"string","format":"","description":"Application install assigned to applicationId","readOnly":true},"applicationBuildId":{"type":"string","format":"","description":"ID of the application build","readOnly":true},"applicationBuildExecutable":{"type":"string","format":"","description":"Executable of the application build","readOnly":true},"applicationBuildStartParams":{"type":"string","format":"","description":"Start parameters of the application build","readOnly":true},"exitCode":{"type":"integer","format":"integer","description":"Exit code of the application instance","readOnly":true},"deploymentEnvironment":{"allOf":[{"$ref":"#/components/schemas/DeploymentEnvironment"}],"description":"Snapshot of deployment environment","readOnly":true},"fleet":{"allOf":[{"$ref":"#/components/schemas/Fleet"}],"description":"Snapshot of fleet","readOnly":true},"applicationInstance":{"allOf":[{"$ref":"#/components/schemas/ApplicationInstance"}],"description":"Snapshot of an application instance","readOnly":true},"applicationInstanceConfiguration":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceConfiguration"},"description":"Snapshot of an application instance","readOnly":true},"applicationInstanceMetadata":{"type":"array","items":{"$ref":"#/components/schemas/Metadata"},"description":"Snapshot of an application instance metadata","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"Application install created at timestamp","readOnly":true}},"additionalProperties":false},"DeploymentEnvironment":{"type":"object","required":["id","name","createdAt"],"properties":{"id":{"type":"string","format":"","description":"Deployment environment ID","readOnly":true},"name":{"type":"string","format":"","description":"The public name of your deployment environment"},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true}},"additionalProperties":false},"Fleet":{"type":"object","required":["id","name","deploymentEnvironmentId","operationalStatus","isGameLift"],"properties":{"id":{"type":"string","format":"","description":"Fleet ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the fleet"},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned"},"deploymentProfileId":{"type":"string","format":"","description":"The `DeploymentProfileTemplate`'s ID, used for scaling, that is attached to this `Fleet`"},"gameDeploymentTemplateId":{"type":"string","format":"","description":"The `GameDeploymentTemplate`'s ID that is attached to this `Fleet`"},"utilityDeploymentTemplateId":{"type":"string","format":"","description":"The `UtilityDeploymentTemplate`'s ID that is attached to this `Fleet`"},"dependencyDeploymentTemplateId":{"type":"string","format":"","description":"The `DependencyDeploymentTemplate`'s ID that is attached to this `Fleet`"},"hostCapacityTemplateId":{"type":"string","format":"","description":"The `HostCapacityTemplate`'s ID that is attached to this `Fleet`"},"operationalStatus":{"type":"integer","format":"integer","description":"0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)","readOnly":true},"isGameLift":{"type":"boolean","description":"When it is active it cannot be disabled anymore"}},"additionalProperties":false},"ApplicationInstance":{"type":"object","required":["id","deploymentEnvironmentId","deploymentEnvironmentName","fleetId","fleetName","hostId","isVirtual","applicationId","applicationName","applicationType","applicationBuildId","applicationBuildName","dcLocationId","dcLocationName","regionId","regionName","status","createdAt","startedAt","stoppedAt","pid","pidChangedAt","startupParams","executable","manuallyDeployed","properties","ipAddress","labelReadOnly","numPlayersMax","numPlayers","liveHostName","liveMap","liveGameVersion","updatedAt","liveRules","autoRestart","markedForDeletion","arcusAvailable"],"properties":{"id":{"type":"string","format":"","description":"Application instance ID","readOnly":true},"deploymentEnvironmentId":{"type":"string","format":"","description":"The deployment environment ID of this application instance","readOnly":true},"deploymentEnvironmentName":{"type":"string","format":"","description":"The deployment environment name of this application instance","readOnly":true},"fleetId":{"type":"string","format":"","description":"The fleet ID of this application instance","readOnly":true},"fleetName":{"type":"string","format":"","description":"The fleet name of this application instance","readOnly":true},"hostId":{"type":"integer","format":"integer","description":"The application instance is host on this server.","readOnly":true},"isVirtual":{"type":"integer","format":"integer","description":"0 if this instance runs on a bare metal server, 1 if it runs on a VM","readOnly":true},"applicationId":{"type":"string","format":"","description":"The application ID of this application instance","readOnly":true},"applicationName":{"type":"string","format":"","description":"The application name of this application instance","readOnly":true},"applicationType":{"type":"integer","format":"integer","description":"The type of the application, the different types can be found in:\n[GET /v3/application/type](game-publisher#/Application/getApplicationTypes)","readOnly":true},"applicationBuildId":{"type":"string","format":"","description":"The application build ID of this application instance","readOnly":true},"applicationBuildName":{"type":"string","format":"","description":"The application build name of this application instance","readOnly":true},"installId":{"type":"string","format":"","description":"ID of the application install","nullable":true,"deprecated":true},"dcLocationId":{"type":"integer","format":"integer","description":"The datacenter ID of where this application instance is located","readOnly":true},"dcLocationName":{"type":"string","format":"","description":"The datacenter name of where this application instance is located","readOnly":true},"regionId":{"type":"string","format":"","description":"The deployment region ID of where this application instance is located","readOnly":true},"regionName":{"type":"string","format":"","description":"The deployment region name of where this application instance is located","readOnly":true},"status":{"type":"integer","format":"integer","description":"The application instance status, list of application instance status can be found in\n[GET /v3/applicationInstance/status](game-publisher#/ApplicationInstance/getApplicationInstanceStatuses)","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is created","readOnly":true},"startedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is started","readOnly":true},"stoppedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is stopped","readOnly":true},"pid":{"type":"integer","format":"integer","description":"The process ID of the application instance running on the host","readOnly":true},"pidChangedAt":{"type":"integer","format":"integer","description":"The Unix timestamp of the moment the process ID has been changed on the host","readOnly":true},"startupParams":{"type":"string","format":"","description":"The exact startup parameters that were used to start this application instance with all properties resolved to their\nrespective values. Will be `null` if the instance has not been started, but will retain its previous value if it was stopped. Once set it will never be\ncleared again","nullable":true,"readOnly":true},"executable":{"type":"string","format":"","description":"The name of the executable that was ran when the application instance started. Will be `null` if the instance has not been\nstarted, but will retain its previous value if it was stopped. Once set it will never be cleared again","nullable":true,"readOnly":true},"manuallyDeployed":{"type":"integer","format":"integer","description":"If set to `1`, the application instance was manually deployed, instead of automatically deployed through the system","readOnly":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceProperty"},"description":"Properties of application instance","readOnly":true},"ipAddress":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationInstanceIP"},"description":"List of IP addresses for an application instance","readOnly":true},"labelReadOnly":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Pre-defined key/value pairs that can be used for application selection / identification.\nAvailable labelReadOnly keys are:\n* application_id\n* fleet_id\n* host_id\n* dc_location_id\n* region_id\n* application_build_id","readOnly":true},"labelPublic":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application instance selection / identification"},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Metadata"},"description":"Custom key/value pairs to be set or adjusted by the allocation call or the application instance itself. This metadata\nwill be passed to the application instance when starting it [needs more clarification]"},"numPlayersMax":{"type":"integer","format":"integer","description":"The maximum number of players on the application instance (this only apply to application instances of the type game)","readOnly":true},"numPlayers":{"type":"integer","format":"integer","description":"The number of online players on the application instance (this only apply to application instances of the type game)","readOnly":true},"liveHostName":{"type":"string","format":"","description":"The live host name of the application instance (this only apply to application instances of the type game)","readOnly":true},"liveMap":{"type":"string","format":"","description":"The live map of an application instance (this only apply to application instances of the type game)","readOnly":true},"liveGameVersion":{"type":"string","format":"","description":"The live game version of an application instance (this only apply to application instances of the type game)","readOnly":true},"updatedAt":{"type":"integer","format":"integer","description":"The Unix timestamp at which this application instance is live data is updated (this only apply to application instances of the type game)","readOnly":true},"liveRules":{"type":"string","format":"","description":"The live rules of an application instance (this only apply to application instances of the type game)","readOnly":true},"autoRestart":{"type":"integer","format":"integer","description":"If auto restart is `1` then the application instance will auto restart, when `0` the application instance auto restart will be disabled","readOnly":true},"markedForDeletion":{"type":"integer","format":"integer","description":"If an application will be deleted it will be `1`, `0` otherwise","readOnly":true},"arcusAvailable":{"type":"integer","format":"integer","description":"`1` if Arcus is available & running for this application instance, `0` otherwise.\nNote: If your application's `managementProtocol` is NOT set to Arcus, this value will always be `0`, even if your\ngame server would support the Arcus protocol. The protocol is only tested, and this value potentially be set to `1`,\nwhen the `managementProtocol` is set to Arcus.","readOnly":true}},"additionalProperties":false},"ApplicationInstanceProperty":{"type":"object","required":["id","propertyType","propertyKey","propertyValue"],"properties":{"id":{"type":"string","format":"","description":"The application instance property ID","readOnly":true},"propertyType":{"type":"integer","format":"integer","description":"The application instance property type. For a list of application property types see\n[`GET /v3/application/property/type`](#/Application/get_v3_application_property_type)","readOnly":true},"propertyKey":{"type":"string","format":"","description":"The application instance property key. Only hyphens (-), underscores (_), lowercase characters and numbers are allowed.\nKeys must start with a lowercase character"},"propertyValue":{"type":"string","format":"","description":"The application instance property value"}},"additionalProperties":false},"ApplicationInstanceIP":{"type":"object","required":["ipAddress","ipVersion","private"],"properties":{"ipAddress":{"type":"string","format":"","description":"Application instance IP address"},"ipVersion":{"type":"integer","format":"integer","description":"Application instance IP version","readOnly":true},"private":{"type":"integer","format":"integer","description":"If application instance has private ip address.","readOnly":true}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"Metadata":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Metadata key. Max length 50 characters"},"value":{"type":"string","format":"","description":"Metadata value. Max length 2048 bytes"}},"additionalProperties":false},"ApplicationInstanceConfiguration":{"type":"object","required":["id","applicationInstanceId","applicationBuildConfigurationId","configPath","configName","configContent","updatedAt","active"],"properties":{"id":{"type":"string","format":"","description":"The ID of the application instance configuration","readOnly":true},"applicationInstanceId":{"type":"string","format":"","description":"The ID of the application instance","readOnly":true},"applicationBuildConfigurationId":{"type":"string","format":"","description":"The ID of the application build configuration","readOnly":true},"configPath":{"type":"string","format":"","description":"Path of the configuration","readOnly":true},"configName":{"type":"string","format":"","description":"Name of the configuration","readOnly":true},"configContent":{"type":"string","format":"","description":"Content of the configuration","readOnly":true},"updatedAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"active":{"type":"integer","format":"integer","description":"Status of the application instance configuration","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/crash":{"get":{"tags":["CrashEvent"],"summary":"Get a list of Application Instance crash events","operationId":"getCrashes","parameters":[{"name":"filter","in":"query","description":"You can filter based on following parameters<br />\n- deploymentEnvironmentId<br />\n- fleetId<br />\n- hostId<br />\n- applicationId<br />\n- applicationBuildId<br />\n- applicationInstanceId<br />\n<p>The parameters can have a single value (e.g: fleetId=1734197255512241679) or a list of values (e.g: applicationId=8881688742569018542,76243584248556249)<br />\nA filter example is: applicationId=8881688742569018542,76243584248556249&fleetId=1734197255512241679<br />\nRemember to urlencode the provided filter<br />\nE.g filter=applicationId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679<br />\nThe final endpoint call would look like: /crash?filter=applicationId%3D8881688742569018542%2C76243584248556249%26fleetId%3D1734197255512241679</p>","schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CrashEvent"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/crashevent-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
